## hubzero-mw2-exec-service 2.2.9

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,6 @@
 
 # Common libraries are installed as owned by root so the client can't modify them, as root may need to use them
 
-VARLIBDIR=$(DESTDIR)/var/lib
-LOGDIR=$(DESTDIR)/var/log
 OWNER=root
 USRBIN=$(DESTDIR)/usr/bin
 USRSBIN=$(DESTDIR)/usr/sbin
@@ -44,7 +42,16 @@
 VARLOG=$(DESTDIR)/var/log
 USRSHAREMANMAN8=$(DESTDIR)/usr/share/man/man8
 USRLOCAL=$(DESTDIR)/usr/local
-VZDIR=$(DESTDIR)/vz
+
+# @TODO Don't rely on link between /var/lib/vz and /vz
+DISTRIBUTION:=$(shell lsb_release -i -s)
+ifeq ($(DISTRIBUTION),Debian)
+VZ=$(DESTDIR)/var/lib/vz
+VZLINK="/var/lib/vz $(DESTDIR)/vz"
+else
+VZ=$(DESTDIR)/vz
+VZLINK="/vz $(DESTDIR)/var/lib/vz"
+endif
 
 all:
 	@true
@@ -62,13 +69,14 @@
 	install --mode 0700 -D hub-session.umount $(ETC)/vz/conf/hub-session.umount
 	install --mode 0750 -d $(VARLOG)/mw-service
 	install --mode 0750 -d $(VARLOG)/mw-service/open-sessions
-	install --mode 0750 -d $(DESTDIR)/vz/lock
+	install --mode 0750 -d $(VZ)/lock
+	ln -s $(VZLINK)
 
 manual_install:  install
-	if [ ! -d $(VZDIR)/template/debian-7.0-amd64-maxwell ]; then \
+	if [ ! -d $(VZ)/template/debian-7.0-amd64-maxwell ]; then \
 	  $(USRBIN)/mkvztemplate amd64 wheezy ellie; \
 	fi
-	if [ -e $(ETCDIR)/mw-service/notify.key ]; then chmod 0600 $(ETCDIR)/mw-service/notify.key; fi
+	if [ -e $(ETC)/mw-service/notify.key ]; then chmod 0600 $(ETC)/mw-service/notify.key; fi
 
 uninstall:
 	rm -f $(USRBIN)/maxwell_service
