## hubzero-mw2-exec-service 2.2.10

=== Makefile ===
--- 
+++ 
@@ -47,10 +47,10 @@
 DISTRIBUTION:=$(shell lsb_release -i -s)
 ifeq ($(DISTRIBUTION),Debian)
 VZ=$(DESTDIR)/var/lib/vz
-VZLINK="/var/lib/vz $(DESTDIR)/vz"
+VZLINK=/var/lib/vz $(DESTDIR)/vz
 else
 VZ=$(DESTDIR)/vz
-VZLINK="/vz $(DESTDIR)/var/lib/vz"
+VZLINK=/vz $(DESTDIR)/var/lib/vz
 endif
 
 all:
