## hubzero-mw2-exec-service 2.2.13-1+deb8

=== debian/changelog ===
hubzero-mw2-exec-service (2.2.13-1+deb8) unstable; urgency=low

  * remove umount lock before exiting with an error.  Perform cleanup
    in private area instead of from root/VEID area so it doesn't 
    depend on simfs mount being rw, because sometimes OpenVZ makes it ro.
  * rotate any .log file in mw-service directory; testing: prevent 
    recording false success on 'check' test
  * Added additional support packages required to run hapi scripts, 
    install Jupyter, etc.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 18 Apr 2019 11:23:00 -0400

hubzero-mw2-exec-service (2.2.12-1) unstable; urgency=low

  * fix permissions on /var/lib when installing from Makefile
  * adapt session termination to use firewall_cleanup
  * add iohelper support for Docker
  * fix trying to get user group membership

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2019 15:02:13 -0500

hubzero-mw2-exec-service (2.2.11-1) unstable; urgency=low

  * rpm package cleanup
  * configuration file renamed

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Dec 2018 17:06:30 -0500

hubzero-mw2-exec-service (2.2.10-1) unstable; urgency=low

  * VZLINK definition shouldn't use quotes (fixes /vz symlink creation)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 16:22:57 -0400

hubzero-mw2-exec-service (2.2.9-1) unstable; urgency=low

  * add hubzero-mw2-dispatch to dependency list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 15:42:54 -0400

hubzero-mw2-exec-service (2.2.8-1) unstable; urgency=low

  * update debian package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 11:34:45 -0400

hubzero-mw2-exec-service (2.2.7-1) unstable; urgency=low

  * mark debian packaging to conflict with hubzero-mw-service

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 13:50:16 -0400

hubzero-mw2-exec-service (2.2.6-1) unstable; urgency=low

  * create link between /vz and /var/lib/vz (depending on distro)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 18 Jun 2018 15:13:32 -0400

hubzero-mw2-exec-service (2.2.5-1) unstable; urgency=low

  * mkvztemplate: create /dev/pts mountpoint if missing [stretch chroot]

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 08 Jun 2018 16:42:23 -0400

hubzero-mw2-exec-service (2.2.4-1) unstable; urgency=low

  * mkvztemplate: -e option to echo is shell/version dependent

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 16:45:02 -0400

hubzero-mw2-exec-service (2.2.3-1) unstable; urgency=low

  * debian 8 packaging support
  * updated mkvztemplate to support debian 8 and 9 targets
  * do not mount /home in .mount script, only the home directory of the user will be mounted

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 15:49:29 -0400

hubzero-mw2-exec-service (2.2.2-1) unstable; urgency=low

  * explicitly set directory permissions in case of restrictive umask

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 19 Apr 2018 15:20:05 -0400

hubzero-mw2-exec-service (2.2.1-1) unstable; urgency=low

  * sync mkvztemplate with hubzero-mw-service (primarily RHEL6 support)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 19 Apr 2018 13:41:56 -0400

hubzero-mw2-exec-service (2.2.0-1) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-service

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 14:19:21 -0400
