=== debian/changelog ===
hubzero-mw2-exec-service (2.2.15-1+deb8) unstable; urgency=low

  * mkzvtemplate: get wheezy packages for debian archive now

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Apr 2019 11:07:05 -0400

hubzero-mw2-exec-service (2.2.13-1) unstable; urgency=low

  * remove umount lock before exiting with an error.  Perform cleanup
    in private area instead of from root/VEID area so it doesn't 
    depend on simfs mount being rw, because sometimes OpenVZ makes it ro.
  * rotate any .log file in mw-service directory; testing: prevent 
    recording false success on 'check' test
  * Added additional support packages required to run hapi scripts, 
    install Jupyter, etc.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 18 Apr 2019 11:23:00 -0400
