## hubzero-mw2-exec-service 2.2.18-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-mw2-exec-service
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
 #
-# Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -25,7 +24,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Common libraries are installed as owned by root so the client can't modify them, as root may need to use them
@@ -84,8 +83,8 @@
 	if [ -f /etc/redhat-release -a ! -e $(VARLIB)/vz ]; then ln -s /vz $(VARLIB)/vz ; fi
 
 manual_install:  install
-  # create OpenVZ container template
-	if [ ! -d $(VZ)/template/debian-7.0-amd64-maxwell ]; then \
+  # create OpenVZ container template, if OpenVZ is installed
+	if [ -d $(VZ) ] && [ ! -d $(VZ)/template/debian-7.0-amd64-maxwell ]; then \
 	  $(USRBIN)/mkvztemplate amd64 wheezy ellie; \
 	fi
 	if [ -e $(ETC)/mw-service/notify.key ]; then chmod 0600 $(ETC)/mw-service/notify.key; fi
@@ -117,12 +116,17 @@
 	# build the images
 	cd /etc/mw-service/docker/hubzero_vncpasswd; docker build -f Dockerfile.hubzero_vncpasswd --tag hubzero_vncpasswd .
 	cd /etc/mw-service/docker/hubzero_services; docker build -f Dockerfile.hubzero_services --tag hubzero_services .
-	cd /etc/mw-service/docker/hubzero_tools; docker build -f Dockerfile.hubzero_tools --tag hubzero_tools .
+	# FIXME: building hubzero_tools fails if hubzero-debian-7.0-amd64 image doesn't exist
+	# build hubzero_tools only if the hubzero-debian-7.0-amd64 image exists?
+	# or install different version of Dockerfile.hubzero_tools that builds it all in one go?
+	# 
+	# cd /etc/mw-service/docker/hubzero_tools; docker build -f Dockerfile.hubzero_tools --tag hubzero_tools .
 
 uninstall:
 	rm -f $(USRBIN)/maxwell_service
 	rm -f $(USRBIN)/firewall_readd
 	rm -f $(ETC)/logrotate.d/logrotate_mw2-exec-service
+	rm -f /var/lib/vz/vz
 
 postinst:
 	chown root:adm /var/log/mw-service
@@ -136,9 +140,6 @@
 	fi
 
 clean:
-	rm -f $(USRBIN)/maxwell_service
-	rm -f $(USRBIN)/firewall_readd
-	rm -f $(ETC)/logrotate.d/logrotate_mw2-exec-service
-	rm -f /var/lib/vz/vz
+	@true
 
 .PHONY: all install uninstall postinst clean
