=== tests/Makefile ===
--- 
+++ 
@@ -30,8 +30,8 @@
 	touch check
 
 startvnc:
-	echo 'asdfadsfadfadf' | sudo /usr/bin/maxwell_service startvnc 1 780x680 24 > startvnc
-	sudo grep done $(LOGPATH) || ( rm startvnc; exit 1 )
+	echo 'asdfadsfadfadf' | sudo /usr/bin/maxwell_service startvnc 1 780x680 24 > startvnc.out
+	sudo grep done $(LOGPATH) && touch startvnc
 
 status: startvnc
 	sudo /usr/bin/maxwell_service status 1 > status 2>status.err
@@ -42,6 +42,7 @@
 	sudo /usr/bin/maxwell_service resize 1 800x600 > resize
 	sudo grep 'changed to 800x600' $(LOGPATH)
 
+# this test requires the hubzero-mw2-file-service package on the same host...
 startxapp:
 	sudo rm -f /var/log/mw-service/open-sessions/$(SESSNUM).err
 	# /home/sessions: if LOCAL_SESSIONDIR,  copy session directories to local storage
@@ -49,20 +50,21 @@
 	sudo /usr/bin/maxwell_fs erase_sessdir $(TESTUSERNAME) $(SESSNUM)
 	sudo /usr/bin/maxwell_fs setup_dir $(TESTUSERNAME) $(SESSNUM)
 	# start session 1234 for user apps, in container #1, to run workspace
-	sudo /usr/bin/maxwell_service startxapp $(TESTUSERNAME) 1234 0 1 notify /apps/workspace/current/middleware/invoke -T r7 > startxapp
+	sudo /usr/bin/maxwell_service startxapp $(TESTUSERNAME) 1234 0 1 notify /apps/workspace/current/middleware/invoke -T r7 > startxapp.out
 	# startxapp returns immediately with success while the tool starts in the background, need to check log files.
 	# stdout redirect into startxapp file is always empty but is necessary so maxwell_service writes to log files.
 	# wait for session log file.err to be created (REVISIT: use inotify instead of sleep?)
 	sleep 10
-	! ( sudo grep kill $(LOGPATH) || (rm -f startxapp && exit 1) )
-	! ( sudo grep Error $(LOGPATH) || (rm -f startxapp && exit 1) )
+	! ( grep kill startxapp.out)
+	! ( grep Error startxapp.out)
+	touch startxapp
 
 screenshot: startxapp
 	sudo /usr/bin/maxwell_service screenshot $(TESTUSERNAME) $(SESSNUM) 1 > screenshot
 
 mount_paths: startxapp
 	mkdir /tmp/testdir
-	sudo /usr/bin/maxwell_service mount_paths /tmp/testdir
+	sudo /usr/bin/maxwell_service mount_paths 1 /tmp/testdir
 	rmdir /tmp/testdir
 
 stopvnc: cleanlog startvnc
