=== debian/changelog ===
hubzero-mw2-exec-service (2.2.18-1+deb9) unstable; urgency=low

  * catch and log exceptions that happen during tool start
  * add Debian 9 support
 
 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 18:37:49 -0700

hubzero-mw2-exec-service (2.2.17-1) unstable; urgency=low

  * update destination rpm upload directory
  * update copyright years
  * remove per file @author references
  * update email address references
  * update copyright/trademark ownership
  * disable core dumps and set results_directory better
  * changed docker ps filter to use container names instead of ancestor
    because ancestor was missing old containers
  * bug fix for helper resource file
  * commented out build step for hubzero_tools until a better thought-out
    solution is available
  * support for ionhelper and generic helper trusted accounts
  * added MW_USER setting to example configuration
  * set configuration defaults for Docker instead of onescienceplace;
    more comments

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sun, 03 May 2020 18:53:38 -0700

hubzero-mw2-exec-service (2.2.16-1) unstable; urgency=low

  * in manual installation, don't try to create OpenVZ tool template if /vz
    doesn't exist, that probably means OpenVZ isn
  * catch exception when invoking tool to be able to send notification
  * Docker tool container will sleep only 5 seconds at a time to respond to some events
  * untested changes: support for foreign mounts with Docker
  * firewall_readd made Docker-compatible
  * persist and retry longer to stop containers and cleanup, to decrease number of broken containers

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 09 Oct 2019 14:56:22 -0400

hubzero-mw2-exec-service (2.2.15-1) unstable; urgency=low

  * mkzvtemplate: get wheezy packages for debian archive now

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 23 Apr 2019 11:07:05 -0400
