=== debian/control ===
Source: hubzero-mw2-exec-service
Section: misc
Priority: optional
Maintainer: Pascal Meunier <pmeunier@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Homepage: http://hubzero.org

Package: hubzero-mw2-exec-service
Architecture: all
Depends: python (>=2.7), hubzero-mw2-common, hubzero-mw2-dispatch, time, openssh-client, openssh-server, quota, debootstrap, vzctl, socat, stunnel4, ${misc:Depends}, ${misc:Depends}
Conflicts: hubzero-mw-service
Replaces: hubzero-mw-service
Description: HUBzero Middleware 2 Execution Service
 Execution service for HUBzero Middleware 2
