## hubzero-mw2-exec-service 2.2.25-1+deb7

=== Makefile ===
--- 
+++ 
@@ -60,11 +60,14 @@
 all:
 	@true
 
-install:
+install_code_only:
 	install --mode 0755 -D maxwell_service $(USRBIN)/maxwell_service
 	install --mode 0755 -D firewall_readd $(USRBIN)/firewall_readd
 	install --mode 0755 -D mkvztemplate $(USRBIN)/mkvztemplate
 	install --mode 0755 -D make_xvnc_cert.sh $(USRBIN)/make_xvnc_cert.sh
+# consider compiling maxwell_service (python2 -m compileall)
+
+install: install_code_only
 	install --mode 0644 -D logrotate_mw2-exec-service $(ETC)/logrotate.d/logrotate_mw2-exec-service
 	install --mode 0640 -D mw-exec-service.conf $(ETC)/mw-service/mw-exec-service.conf
 	install --mode 0600 -D hub-session.conf $(ETC)/vz/conf/hub-session.conf
@@ -82,19 +85,6 @@
 	if [ -f /etc/redhat-release ]; then install --mode 0750 -d $(ROOT)/vz/lock ; fi
 	if [ -f /etc/redhat-release -a ! -e $(VARLIB)/vz ]; then ln -s /vz $(VARLIB)/vz ; fi
 
-manual_install:  install
-  # create OpenVZ container template, if OpenVZ is installed
-	if [ -d $(VZ) ] && [ ! -d $(VZ)/template/debian-7.0-amd64-maxwell ]; then \
-	  $(USRBIN)/mkvztemplate amd64 wheezy ellie; \
-	fi
-	if [ -e $(ETC)/mw-service/notify.key ]; then chmod 0600 $(ETC)/mw-service/notify.key; fi
-  # self-signed XVNC certificate used by stunnel 
-	/usr/bin/make_xvnc_cert.sh
-
-docker_install: install
-  # like manual_install but for Docker instead of OpenVZ
-  # self-signed XVNC certificate used by stunnel 
-	/usr/bin/make_xvnc_cert.sh
 	# Docker support
 	# /etc/mw-service/docker/
 	#                       -hubzero_services
@@ -102,8 +92,7 @@
 	#                       -hubzero_vncpasswd
 	install --mode 0644 -D Dockerfile.hubzero_services $(ETC)/mw-service/docker/hubzero_services/Dockerfile.hubzero_services
 	install --mode 0644 -D hubzero_jessie.list $(ETC)/mw-service/docker/hubzero_services/hubzero_jessie.list
-	# hzvncresize provided by hubzero-mw-session package
-	# install --mode 0644 -D hzvncresize $(ETC)/mw-service/docker/hubzero_services/hubzero_jessie.list
+	# public key for HUBzero packages, so that containers can install software
 	install --mode 0644 -D hubzero_package_key $(ETC)/mw-service/docker/hubzero_services/hubzero_package_key
 	install --mode 0644 -D startxvnc.docker $(ETC)/mw-service/docker/hubzero_services/startxvnc.docker
 	install --mode 0644 -D Dockerfile.hubzero_tools $(ETC)/mw-service/docker/hubzero_tools/Dockerfile.hubzero_tools
@@ -111,6 +100,22 @@
 	install --mode 0644 -D Dockerfile.hubzero_vncpasswd $(ETC)/mw-service/docker/hubzero_vncpasswd/Dockerfile.hubzero_vncpasswd
 	# /etc/docker default Docker network
 	install --mode 0644 -D daemon.json $(ETC)/docker/daemon.json
+
+manual_install: install
+  # create OpenVZ container template, if OpenVZ is installed
+	if [ -d $(VZ) ] && [ ! -d $(VZ)/template/debian-7.0-amd64-maxwell ]; then \
+	  $(USRBIN)/mkvztemplate amd64 wheezy ellie; \
+	fi
+	if [ -e $(ETC)/mw-service/notify.key ]; then chmod 0600 $(ETC)/mw-service/notify.key; fi
+  # self-signed XVNC certificate used by stunnel
+	/usr/bin/make_xvnc_cert.sh
+
+refresh_code: install_code_only
+
+docker_install: install
+  # like manual_install but for Docker instead of OpenVZ
+  # self-signed XVNC certificate used by stunnel
+	/usr/bin/make_xvnc_cert.sh
 	# middleware config with options to use Docker
 	install --mode 0640 -D mw-exec-service_docker.conf $(ETC)/mw-service/mw-exec-service.conf
 	# build the images
@@ -119,7 +124,7 @@
 	# FIXME: building hubzero_tools fails if hubzero-debian-7.0-amd64 image doesn't exist
 	# build hubzero_tools only if the hubzero-debian-7.0-amd64 image exists?
 	# or install different version of Dockerfile.hubzero_tools that builds it all in one go?
-	# 
+	#
 	# cd /etc/mw-service/docker/hubzero_tools; docker build -f Dockerfile.hubzero_tools --tag hubzero_tools .
 
 uninstall:
