=== debian/changelog ===
hubzero-mw2-exec-service (2.2.25-1+deb7) unstable; urgency=low

    update debian stretch repo in docker services dockerfile

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 17 Jul 2023 18:21:43 -0700

hubzero-mw2-exec-service (2.2.24-1) unstable; urgency=low

    tweak comments
    fix for race condition when ending tool sessions.  Requires matching fix in container.py
    created target install_code_only

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Sep 2021 15:06:12 -0700

hubzero-mw2-exec-service (2.2.23-1) unstable; urgency=low

  *  set default (off) values for DOCKER_XSHM, DOCKER_GPUS, DOCKER_VGL features

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 25 Jan 2021 16:06:41 -0800

hubzero-mw2-exec-service (2.2.22-1) unstable; urgency=low

  * fix rpm packaging to include proper dockerfiles

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 09 Dec 2020 12:32:35 -0800

hubzero-mw2-exec-service (2.2.21-1) unstable; urgency=low

  * fix packaging to include proper dockerfiles

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 09 Dec 2020 12:16:35 -0800

hubzero-mw2-exec-service (2.2.20-1) unstable; urgency=low

  * don't create password for vnc service if one was volume mounted into container

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 02 Dec 2020 15:33:19 -0800

hubzero-mw2-exec-service (2.2.19-1) unstable; urgency=low

  * explicitly call python2 for CentOS 8 compatibility
  * New Dockerfile.hubzero_services with full font support and extra build capabilities

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 01 Dec 2020 14:35:29 -0800

hubzero-mw2-exec-service (2.2.18-1) unstable; urgency=low

  * catch and log exceptions that happen during tool start
  * add Debian 9 support
 
 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 18:37:49 -0700
