## hubzero-mw2-exec-service 2.2.25-1+deb10

=== debian/changelog ===
hubzero-mw2-exec-service (2.2.25-1+deb10) unstable; urgency=low

    update debian stretch repo in docker services dockerfile

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 17 Jul 2023 18:21:43 -0700
